Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 786577 - Javascript Type error: Can't access dead object when closing a tab in the background. Using dragupload with Firefox 15.0
: Javascript Type error: Can't access dead object when closing a tab in the bac...
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on:
Blocks: hueyfix
  Show dependency treegraph
Reported: 2012-08-29 00:27 PDT by itsthewoo
Modified: 2012-11-03 05:32 PDT (History)
13 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

about:support w/ addons (30.47 KB, text/plain)
2012-09-10 18:21 PDT, itsthewoo
no flags Details

Description itsthewoo 2012-08-29 00:27:45 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20100101 Firefox/15.0
Build ID: 20120824154833

Steps to reproduce:

Closed background tab. It does not matter if you use the assigned mousebutton shortcut or the context menu. This only occurs when TabMix Plus v. is used.

Actual results:

Javascript error window pops up and returns after closing. Unable to put the error window in the background.

Expected results:

No error window.
Comment 1 Cork 2012-08-29 00:54:04 PDT
That sounds like Tab Mix Plus is trying to access a window object after its tab has been closed (and the window object force destroyed). Firefox cuts all links to this object[1] when a tab is closed to fix a VERY common memory leak in extensions[2].

Try reporting/see if its already reported in there forum[3].

Comment 2 itsthewoo 2012-08-29 12:33:50 PDT
I don't know if I didn't recreate it properly before, but the error is now occurring even with TabMix Plus disabled.
Comment 3 Jorge Villalobos [:jorgev] 2012-08-29 12:38:16 PDT
Can you please paste the full error message? It could have some hints as to where the error is happening.
Comment 4 itsthewoo 2012-08-29 12:43:17 PDT
It says exactly what the title says it says. "TypeError: can't access dead object."

Tried disabling Session Manager as well. Error is still coming up.
Comment 5 itsthewoo 2012-08-30 23:26:02 PDT
It started doing it even when tabs weren't in the background. I rolled back to 14.01, and I am not having the issue anymore.
Comment 6 Alex Pircher 2012-09-04 02:43:30 PDT
Similar error since upgrading from SeaMonkey 2.11 to 2.12, using Tab-Extensions Duplicate Tab and Tab Clicking Options (

It's not happening always when closing a tab, but when it is happening the error pops up every second and you are unable to use the browser, only a restart prevents further error-messages.
Comment 7 Nicholas Nethercote [:njn] 2012-09-04 16:31:08 PDT
TabMix Plus will need to update for the changes.
Comment 8 itsthewoo 2012-09-04 16:38:32 PDT
I disabled TabMix Plus and it still happened, albeit not immediately.
Comment 9 Kris Maglione [:kmag] 2012-09-05 11:04:25 PDT
What other add-ons do you have installed? Can you post the contents of about:support?
Comment 10 itsthewoo 2012-09-10 18:21:03 PDT
Created attachment 659924 [details]
about:support w/ addons
Comment 11 itsthewoo 2012-09-10 18:22:32 PDT
I did a legitimate add-on isolation, and it looks like it's actually being caused by dragupload. I have disabled it in 15.01 with all other add-ons (including tab mix plus), and am no longer experiencing problems. I will update if otherwise.
Comment 12 Nicholas Nethercote [:njn] 2012-09-10 20:27:43 PDT
Thanks for the update.  You might like to inform the author of dragupload.

I seem to remember something about TabMix Plus being easily broken by other add-ons -- Kris, do you know about this?
Comment 13 itsthewoo 2012-09-10 21:19:26 PDT
Looks like dragupload is no longer supported (the URL is no longer available). The reviews on the add-ons download portal indicate the problem that I reported here.
Comment 14 Dão Gottwald [:dao] 2012-09-11 00:01:26 PDT
It doesn't sound like this is fixed. Maybe wontfix?
Comment 15 Alex Pircher 2012-09-11 02:57:14 PDT
I can confirm that after disabling dragupload-extension in SeaMonkey the error does not occur again so far.
Comment 16 Jorge Villalobos [:jorgev] 2012-09-11 08:35:09 PDT
Yes, the add-on hasn't been updated since June of last year. I'll mark it incompatible with Firefox 15 and above, to avoid confusion.
Comment 17 Kris Maglione [:kmag] 2012-09-11 15:40:03 PDT
TabMix Plus is a common cause of incompatibilities, yes. It modifies a lot of tab APIs (mostly by string substitution and eval), so it's hard to play nice with it, but it's popular enough that most add-ons make special considerations.
Comment 18 Danial Horton 2012-11-03 05:32:48 PDT
I think its negligent to say its a "common cause of incompatibilities" when you do not have data backing that statement up.

Note You need to log in before you can comment on or make changes to this bug.